EXTRACT_PATCH(8)

NAME
extract_patch - extract and execute patch files from installation tapes

SYNOPSIS
extract_patch [ -ddevice [ -rremote-host ] ] [ -ppatch-name ] [ -DEFAULT ]

DESCRIPTION

extract_patch extracts a patch from a release tape onto the current system. If no options are specifed, it prompts for input as to the patch name, tape device, or remote hostname from which to the software is to be installed. If the named patch cannot be found, a list of valid patches are printed.

If the named patch is found then the patch is extracted from the tape onto the system. If there is a README file in the extracted contents then the user is given a chance to view it. If there is a patch installation program the user is given a chance to run it.

Patches must appear in the tape's table of contents, and must have a name that starts with “Patch_”.

OPTIONS

-ddevice
    Install from the indicated tape drive, such as st0, or mt0.

-rremote-host
    Install from the device given in the -d option on the indicated remote host.

-ppatch-name
    Specifes the name of the patch to extract.

-DEFAULT
    Execute the installation script using all default values. Otherwise the installation script prompts for any optional values.

SEE ALSO
extract_unbundled(8)